[op25-dev] error

Joseph Cardani jcardani at verizon.net
Tue Mar 11 20:10:36 UTC 2014


Found out that the correct place is on theUSRP-users forum not National Instruments

Posted question there. Reply says that the reason I am getting the error is that it could not find the file libusb-1.0.so in the /usr/lib folder. But it is there - I manually saw it there. Have no idea how to proceed. The latest output looks like:

joe at joe-desktop:~$ ./pybombs install gr-op25
bash: ./pybombs: Is a directory
joe at joe-desktop:~$ cd pybombs
joe at joe-desktop:~/pybombs$ ./pybombs install gr-op25
Settled on prefix: /home/joe/target
Initializing environmental variables...
/home/joe/target/python/:/home/joe/target/lib/python2.6/site-packages/:/home/joe/target/lib64/python2.6/site-packages/:/home/joe/target/lib/python2.6/dist-packages/:/home/joe/target/lib64/python2.6/dist-packages/:/home/joe/target/lib/python2.7/site-packages/:/home/joe/target/lib64/python2.7/site-packages/:/home/joe/target/lib/python2.7/dist-packages/:/home/joe/target/lib64/python2.7/dist-packages/:/home/joe/target/python/:/home/joe/target/lib/python2.6/site-packages/:/home/joe/target/lib64/python2.6/site-packages/:/home/joe/target/lib/python2.6/dist-packages/:/home/joe/target/lib64/python2.6/dist-packages/:/home/joe/target/lib/python2.7/site-packages/:/home/joe/target/lib64/python2.7/site-packages/:/home/joe/target/lib/python2.7/dist-packages/:/home/joe/target/lib64/python2.7/dist-packages/
---------- loading recipes -------------------
Loading recipes ...
Loading recipes ... done
---------- loading recipes finished ----------

checking for gr-op25
False
/home/joe/pybombs/mod_pybombs/sysutils.py:588: RuntimeWarning: tempnam
is a potential security risk to your program
 tmpfile = os.tempnam(d);
TMPFILE = /home/joe/target/fileIUp2rF
WRITE PERMS OK /home/joe/target/fileIUp2rF
installing gr-op25
gr-op25 dep [['gnuradio', 'boost', 'libpcap', 'gr-osmosdr', 'libitpp',
'git', 'cmake']]
gnuradio dep [['make', 'boost', 'fftw', 'cppunit', 'swig', 'gsl', 'uhd',
'git', 'python', 'cheetah', 'wxpython', 'numpy', 'lxml', 'pygtk',
'pycairo', 'cmake', 'pyqt4', 'pyqwt5', 'gcc', 'ice', 'git', 'cmake']]
make dep [[]]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of make (3.81) is >= than 3.75
boost dep [['python', 'libbzip', 'wget']]
fftw dep [['wget']]
cppunit dep [['wget']]
swig dep [['python', 'wget', 'gcc']]
gsl dep [['wget']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of libgsl0-dev (1.15) is >= than 1.13
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of libgsl0ldbl (1.15) is >= than 1.13
uhd dep [['make', 'swig', 'python', 'libusb', 'git', 'cmake', 'cheetah',
'boost', 'gsl', 'numpy', 'cppunit', 'fftw', 'git', 'cmake']]
make dep [[]]
swig dep [['python', 'wget', 'gcc']]
python dep [['wget']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of python-cheetah (2.4.4) is >= than 2.0
boost dep [['python', 'libbzip', 'wget']]
gsl dep [['wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
cppunit dep [['wget']]
fftw dep [['wget']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
git dep [['wget', 'curl']]
python dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
wxpython dep [['gtk2', 'python', 'swig', 'wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
lxml dep [['python', 'libxml', 'libxslt', 'setuptools', 'wget',
'python']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of python-lxml (2.3.2) is >= than 2.3.2
pygtk dep [['python', 'swig', 'gtk2', 'pygobject', 'pango', 'cairo',
'wget']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of python-gtk2 (2.24.0) is >= than 2.17
pycairo dep [['cairo', 'python', 'wget']]
cairo dep [['fontconfig', 'libpng', 'pixman', 'x11', 'wget']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of libcairo2 (1.10.2) is >= than 1.8.10
python dep [['wget']]
wget dep [[]]
cmake dep [['wget']]
pyqt4 dep [['python', 'sip', 'qt4', 'wget']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of python-qt4 (4.9.1) is >= than 4.6.2
pyqwt5 dep [['qwt5', 'pyqt4', 'sip', 'wget']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of python-qwt5-qt4 (5.2.1) is >= than 5.2
gcc dep [[]]
ice dep [['swig', 'mcpp', 'db48', 'libbzip', 'expat', 'python', 'wget',
'ssl']]
swig dep [['python', 'wget', 'gcc']]
mcpp dep [['curl', 'wget']]
curl dep [[]]
wget dep [[]]
db48 dep [['wget']]
wget dep [[]]
libbzip dep [['wget']]
expat dep [['wget']]
PyBombs.sysutils - INFO - have_deb: Satisfies requirement...installed
version of libexpat1-dev (2.0.1) is >= than 2.0.1
python dep [['wget']]
wget dep [[]]
ssl dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
boost dep [['python', 'libbzip', 'wget']]
libpcap dep [[]]
gr-osmosdr dep [['uhd', 'rtl-sdr', 'osmo-sdr', 'hackrf', 'gnuradio',
'gr-iqbal', 'git', 'cmake']]
uhd dep [['make', 'swig', 'python', 'libusb', 'git', 'cmake', 'cheetah',
'boost', 'gsl', 'numpy', 'cppunit', 'fftw', 'git', 'cmake']]
make dep [[]]
swig dep [['python', 'wget', 'gcc']]
python dep [['wget']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
boost dep [['python', 'libbzip', 'wget']]
gsl dep [['wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
cppunit dep [['wget']]
fftw dep [['wget']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
rtl-sdr dep [['libusb', 'git', 'cmake']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
osmo-sdr dep [['git', 'cmake', 'libusb', 'git', 'cmake']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
hackrf dep [['git', 'cmake', 'libusb', 'git', 'cmake']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
gnuradio dep [['make', 'boost', 'fftw', 'cppunit', 'swig', 'gsl', 'uhd',
'git', 'python', 'cheetah', 'wxpython', 'numpy', 'lxml', 'pygtk',
'pycairo', 'cmake', 'pyqt4', 'pyqwt5', 'gcc', 'ice', 'git', 'cmake']]
make dep [[]]
boost dep [['python', 'libbzip', 'wget']]
fftw dep [['wget']]
cppunit dep [['wget']]
swig dep [['python', 'wget', 'gcc']]
gsl dep [['wget']]
uhd dep [['make', 'swig', 'python', 'libusb', 'git', 'cmake', 'cheetah',
'boost', 'gsl', 'numpy', 'cppunit', 'fftw', 'git', 'cmake']]
make dep [[]]
swig dep [['python', 'wget', 'gcc']]
python dep [['wget']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
boost dep [['python', 'libbzip', 'wget']]
gsl dep [['wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
cppunit dep [['wget']]
fftw dep [['wget']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
git dep [['wget', 'curl']]
python dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
wxpython dep [['gtk2', 'python', 'swig', 'wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
lxml dep [['python', 'libxml', 'libxslt', 'setuptools', 'wget',
'python']]
pygtk dep [['python', 'swig', 'gtk2', 'pygobject', 'pango', 'cairo',
'wget']]
pycairo dep [['cairo', 'python', 'wget']]
cairo dep [['fontconfig', 'libpng', 'pixman', 'x11', 'wget']]
python dep [['wget']]
wget dep [[]]
cmake dep [['wget']]
pyqt4 dep [['python', 'sip', 'qt4', 'wget']]
pyqwt5 dep [['qwt5', 'pyqt4', 'sip', 'wget']]
gcc dep [[]]
ice dep [['swig', 'mcpp', 'db48', 'libbzip', 'expat', 'python', 'wget',
'ssl']]
swig dep [['python', 'wget', 'gcc']]
mcpp dep [['curl', 'wget']]
curl dep [[]]
wget dep [[]]
db48 dep [['wget']]
wget dep [[]]
libbzip dep [['wget']]
expat dep [['wget']]
python dep [['wget']]
wget dep [[]]
ssl dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
gr-iqbal dep [['gnuradio', 'libosmo-dsp', 'git', 'cmake']]
gnuradio dep [['make', 'boost', 'fftw', 'cppunit', 'swig', 'gsl', 'uhd',
'git', 'python', 'cheetah', 'wxpython', 'numpy', 'lxml', 'pygtk',
'pycairo', 'cmake', 'pyqt4', 'pyqwt5', 'gcc', 'ice', 'git', 'cmake']]
make dep [[]]
boost dep [['python', 'libbzip', 'wget']]
fftw dep [['wget']]
cppunit dep [['wget']]
swig dep [['python', 'wget', 'gcc']]
gsl dep [['wget']]
uhd dep [['make', 'swig', 'python', 'libusb', 'git', 'cmake', 'cheetah',
'boost', 'gsl', 'numpy', 'cppunit', 'fftw', 'git', 'cmake']]
make dep [[]]
swig dep [['python', 'wget', 'gcc']]
python dep [['wget']]
libusb dep [['wget']]
wget dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
boost dep [['python', 'libbzip', 'wget']]
gsl dep [['wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
cppunit dep [['wget']]
fftw dep [['wget']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
git dep [['wget', 'curl']]
python dep [['wget']]
cheetah dep [['python', 'wget', 'python']]
wxpython dep [['gtk2', 'python', 'swig', 'wget']]
numpy dep [['python', 'swig', 'wget', 'python']]
lxml dep [['python', 'libxml', 'libxslt', 'setuptools', 'wget',
'python']]
pygtk dep [['python', 'swig', 'gtk2', 'pygobject', 'pango', 'cairo',
'wget']]
pycairo dep [['cairo', 'python', 'wget']]
cairo dep [['fontconfig', 'libpng', 'pixman', 'x11', 'wget']]
python dep [['wget']]
wget dep [[]]
cmake dep [['wget']]
pyqt4 dep [['python', 'sip', 'qt4', 'wget']]
pyqwt5 dep [['qwt5', 'pyqt4', 'sip', 'wget']]
gcc dep [[]]
ice dep [['swig', 'mcpp', 'db48', 'libbzip', 'expat', 'python', 'wget',
'ssl']]
swig dep [['python', 'wget', 'gcc']]
mcpp dep [['curl', 'wget']]
curl dep [[]]
wget dep [[]]
db48 dep [['wget']]
wget dep [[]]
libbzip dep [['wget']]
expat dep [['wget']]
python dep [['wget']]
wget dep [[]]
ssl dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
libosmo-dsp dep [['fftw', 'autoconf', 'libtool', 'automake', 'git']]
fftw dep [['wget']]
autoconf dep [[]]
libtool dep [[]]
automake dep [[]]
git dep [['wget', 'curl']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
git dep [['wget', 'curl']]
cmake dep [['wget']]
libitpp dep [[]]
git dep [['wget', 'curl']]
cmake dep [['wget']]
packages to install: ['libusb', 'uhd', 'pycairo', 'mcpp', 'db48', 'ice',
'gnuradio', 'rtl-sdr', 'osmo-sdr', 'hackrf', 'libosmo-dsp', 'gr-iqbal',
'gr-osmosdr', 'gr-op25']
install called (libusb)
install type priority: ['deb', 'src']
install deb called (libusb)
deb is not available locally
check remote repositories...
PyBombs.sysutils - INFO - deb_exists: Satisfies requirement...found
downloadable version of libusb-1.0-0-dev
CONDUCTING DEB INSTALL
deb install: pkgreq(libusb-1.0-0-dev,None,None)
bash exec (/home/joe/pybombs):: sudo apt-get -y install libusb-1.0-0-dev
[sudo] password for joe: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
 libusb-1.0-0-dev
0 upgraded, 1 newly installed, 0 to remove and 37 not upgraded.
Need to get 156 kB of archives.
After this operation, 895 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ precise/main libusb-1.0-0-dev
i386 2:1.0.9~rc3-2ubuntu1 [156 kB]
Fetched 156 kB in 8s (19.2
kB/s)                                               
Selecting previously unselected package libusb-1.0-0-dev.
(Reading database ... 242403 files and directories currently installed.)
Unpacking libusb-1.0-0-dev (from .../libusb-1.0-0-dev_2%
3a1.0.9~rc3-2ubuntu1_i386.deb) ...
Processing triggers for doc-base ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Setting up libusb-1.0-0-dev (2:1.0.9~rc3-2ubuntu1) ...
installation ok via: deb
install called (uhd)
install type priority: ['deb', 'src']
install deb called (uhd)
no deb satisfiers available
install src called (uhd)
state = configure
Current step: (uhd :: make)
make
('\n    make -j4\n', '\n    make -j$makewidth\n')
('\n    make -j4\n', '\n    make -j4\n')
bash exec (/home/joe/pybombs/src/uhd/host/build):: 
   make -j4

[ 12%] [ 12%] Built target man_page_gzips
[ 12%] Built target manual_html
Built target doxygen_docs
make[2]: *** No rule to make target `/usr/lib/libusb-1.0.so', needed by
`lib/libuhd.so.003.006'.  Stop.
make[1]: *** [lib/CMakeFiles/uhd.dir/all] Error 2
make: *** [all] Error 2
ERROR:root:PyBOMBS Make step failed for package (uhd) please see bash
output above for a reason (hint: look for the word Error)
joe at joe-desktop:~/pybombs$ 
Joe

 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/op25-dev/attachments/20140311/9be55d2e/attachment.html>


More information about the op25-dev mailing list